> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayrollHistoryBasedOnPayPeriod

> 
The `getPayrollHistoryBasedOnPayPeriod` API retrieves complete payroll history for a specific pay period.

### What it does:

- Returns detailed payroll information for all employees within a specific pay period
- Provides payroll line items including wages, taxes, deductions, and net pay for the specified pay period

### Note:

- For requests encompassing a single pay period (duration defined when payroll was set up)



## OpenAPI

````yaml get /reports/getPayrollHistoryBasedOnPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPayrollHistoryBasedOnPayPeriod:
    get:
      tags: []
      summary: getPayrollHistoryBasedOnPayPeriod
      description: >-

        The `getPayrollHistoryBasedOnPayPeriod` API retrieves complete payroll
        history for a specific pay period.


        ### What it does:


        - Returns detailed payroll information for all employees within a
        specific pay period

        - Provides payroll line items including wages, taxes, deductions, and
        net pay for the specified pay period


        ### Note:


        - For requests encompassing a single pay period (duration defined when
        payroll was set up)
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPayrollHistoryBasedOnPayPeriod
                  example: getPayrollHistoryBasedOnPayPeriod
                payPeriodId:
                  type: string
                  format: uuid
              required:
                - method
                - payPeriodId
            example:
              method: getPayrollHistoryBasedOnPayPeriod
              payPeriodId: FD8B55C3-FB80-4DF3-89DF-D48E65750BF2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payPeriod:
                    type: array
                    items:
                      type: object
                      properties:
                        payPeriodId:
                          type: string
                        payPeriod:
                          type: string
                        deadLineToRunPayroll:
                          type: string
                        total:
                          type: number
                        employeeTaxSum:
                          type: number
                        employerTaxSum:
                          type: number
                        isProcessed:
                          type: boolean
                        payDate:
                          type: string
                        payEndDate:
                          type: string
                        payBeginDate:
                          type: string
                        workerType:
                          type: string
                        payrollLineItems:
                          type: array
                          items:
                            type: object
                            properties:
                              baseTotal:
                                type: number
                              numberOfLeaveDays:
                                type: integer
                              lop:
                                type: integer
                              retroAmount:
                                type: integer
                              grossTotal:
                                type: number
                              netTotal:
                                type: number
                              userId:
                                type: string
                              employee:
                                type: string
                              employeeTax:
                                type: number
                              payrollLineItemDeductions:
                                type: array
                                items:
                                  type: string
                              payDetails:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    payPercentage:
                                      type: integer
                                    amount:
                                      type: number
                                    employeePayAccount:
                                      type: string
                              payrollLineItemOverTimes:
                                type: array
                                items:
                                  type: string
                              payrollLineItemAdditionalCompensations:
                                type: array
                                items:
                                  type: string
                required:
                  - payPeriod
              example:
                payPeriod:
                  - payPeriodId: FD8B55C3-FB80-4DF3-89DF-D48E65750BF2
                    payPeriod: 06/15/2025 - 06/28/2025
                    deadLineToRunPayroll: '2025-06-27'
                    total: 4.62
                    employeeTaxSum: 0.36
                    employerTaxSum: 0.48
                    isProcessed: true
                    payDate: '2025-07-01'
                    payEndDate: '2025-06-28'
                    payBeginDate: '2025-06-15'
                    workerType: W2
                    payrollLineItems:
                      - baseTotal: 4.62
                        numberOfLeaveDays: 0
                        lop: 0
                        retroAmount: 0
                        grossTotal: 4.62
                        netTotal: 4.26
                        userId: C88011F6-954A-445B-B5B5-EAFCCBA95D98
                        employee: Jad Abisaleh
                        employeeTax: 0.36
                        payrollLineItemDeductions: []
                        payDetails:
                          - payPercentage: 100
                            amount: 4.26
                            employeePayAccount: savings ... 1111
                        payrollLineItemOverTimes: []
                        payrollLineItemAdditionalCompensations: []
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid WorkerType
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````